/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package number1;

import org.junit.jupiter.api.Test;
import static org.junit.jupiter.api.Assertions.*;

class PhoneTest {
    @Test void phoneNumber1() {
      String number = "8(917)024-64-70";
      assertTrue(Phone.phone(number));
    }

    @Test void phoneNumber2() {
      String number = "8(917)0246470";
      assertTrue(Phone.phone(number));
    }

    @Test void phoneNumber3() {
      String number = "8-917-024-64-70";
      assertTrue(Phone.phone(number));
    }

    @Test void phoneNumber4() {
      String number = "89170246470";
      assertTrue(Phone.phone(number));
    }

    @Test void phoneNumber5() {
      String number = "+7(917)0246470";
      assertTrue(Phone.phone(number));
    }

    @Test void phoneNumber6() {
      String number = "8 917 024 64 70";
      assertTrue(Phone.phone(number));
    }

}
